CREATE TABLE cso_survey (
    ALLOW_MULTIPLE_RE_TAKES    CHAR(4)       ,
    DATE_ADDED                 TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED              TIMESTAMP(6)      NOT NULL,
    DISPLAY_END_DATE           TIMESTAMP(6)      NOT NULL,
    DISPLAY_START_DATE         TIMESTAMP(6)      NOT NULL,
    PUBLISHED                  CHAR(4)       ,
    RECORD_ID                  VARCHAR2(128) ,
    SITE_ID                    VARCHAR2(128)     NOT NULL,
    SURVEY_TYPE_ID             VARCHAR2(128)     NOT NULL,
    REFERENCE_KEY              VARCHAR2(400)     NOT NULL,
    USER_ID                    VARCHAR2(128) ,
    EMAIL_CONTENT              CHAR(4)       ,
    RATING_TYPE                NUMBER        ,
    REVERSE_RATING_ORDER       NUMBER        ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    USER_PARTY_ID              NUMBER(18, 0) ,
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    ALLOW_MULTIPLE_RE_TAKES    CHAR(4)       ,
    DATE_ADDED                 TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED              TIMESTAMP(6)      NOT NULL,
    DISPLAY_END_DATE           TIMESTAMP(6)      NOT NULL,
    DISPLAY_START_DATE         TIMESTAMP(6)      NOT NULL,
    PUBLISHED                  CHAR(4)       ,
    RECORD_ID                  VARCHAR2(128) ,
    SITE_ID                    VARCHAR2(128)     NOT NULL,
    SURVEY_TYPE_ID             VARCHAR2(128)     NOT NULL,
    REFERENCE_KEY              VARCHAR2(400)     NOT NULL,
    USER_ID                    VARCHAR2(128) ,
    EMAIL_CONTENT              CHAR(4)       ,
    RATING_TYPE                NUMBER        ,
    REVERSE_RATING_ORDER       NUMBER        ,
    SEED_DATA_SOURCE           VARCHAR2(2048),
    USER_PARTY_ID              NUMBER(18, 0) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    ORA_SEED_SET1              VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2              VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cso_survey PRIMARY KEY (RECORD_ID, RECORD_ID)
);
